#ifndef WrapSphere_H
#define WrapSphere_H

/*
 * WrapSphere.hpp
 * 
 * Obstacle Set Algorithm Simulation for Sphere Obstacles
 *
 */

#include "WrapObst.hpp"

class WrapSphere : public WrapObst
{   
    Eigen::Vector3f point_Q;
    Eigen::Vector3f point_T;
public:
    // default constructor
    WrapSphere()
    {
        type = Type::sphere;
    }

    void setSphereConfig(const Eigen::Vector3f &O)
    {
        this->point_O = O;
    }

    // constructor
    WrapSphere(const Eigen::Vector3f &P, 
                const Eigen::Vector3f &S, 
                const Eigen::Vector3f &O, 
               const double R)
        : WrapObst(P, S, O, R)
    {
        type = Type::sphere;
    }

    using WrapObst::compute;
    void compute();
    
    using WrapObst::getPoints;
    Eigen::Vector3f getPoints(float alpha);
};

#endif
